This device isn't eligible for the requested build?

This device isn't eligible for the requested build?

Posted March 10, 2014 at 11:11pm by RickDeckard · 3156 views
I recently just purchased an iPhone 5s on the Sprint network and it's telling me that "This device isn't eligible for the requested build." I looked into trouble shooting and it tells me to use the latest firmware, which i'm clearly not doing. I'm using 7.0.6 or whatever the latest jailbreak is and 7.1 is the newest. Could it be that it was patched? Thanks, Tom


Answers (0)

Add Answer
You must login to submit an answer...